clear

set more off

* CHANGE THE NEXT LINE TO SET UP THE PATH TO THE .DTA FILE WHICH CONTAINS THE DATA FOR THIS REGRESSION*

use "C:\Users\Pablo\Google Drive\KAMINSKY-VEGA\ESTIMATIONS\LOGIT DURATION OLS\TABLE 3 LOGIT\Logit_Estimation.dta", clear

************
* VARIABLES
************
* default takes value "1" if default, "0" otherwise.
* serviceL is the debt service as a ratio of the country exports trend lagged one period.
* xgrL is the export growth trend lagged one period.
* int_liq is the international issuance as a share of the the U.K. exports trend.
* m_world is the growth rate of world imports.


********
* CODE *
********

* Model 0*
xtset id yr
xtlogit default, re
est store m0
predict def_pr0, pu0
gen Lik_0= e(ll)

* Systemic Model: Model M_S*
xtset id yr
xtlogit default serviceL xgrL int_liq m_world, re
est store M_S
predict def_pr_S, pu0
gen Lik_S= e(ll)

* Idiosyncratic Model:  Model M_IDI*
xtset id yr
xtlogit default serviceL xgrL, re
est store M_IDI
predict def_pr_SIDI, pu0
gen Lik_SIDI= e(ll)

*Pseudo R2 for both models*
gen pseudoR2_S= 1-(Lik_S/Lik_0)
gen pseudoR2_SIDI= 1-(Lik_SIDI/Lik_0)



